## flask-flatpages 0.8.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-LazyViews.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-LazyViews.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-LazyViews"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-LazyViews"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
Pallets-Sphinx-Themes
Pygments>=2.2.0
Sphinx>=1.8.1
reno

## flask-flatpages 0.6

=== debian/changelog ===
flask-flatpages (0.6-1) unstable; urgency=low

  * Initial release. Closes: 792680

 -- Orestis Ioannou <orestis@oioannou.com>  Sat, 18 Jul 2015 03:12:37 +0300

=== debian/control ===
Source: flask-flatpages
Maintainer: Orestis Ioannou <orestis@oioannou.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-setuptools,
               python3-setuptools,
               python-yaml (>=3.10),
               python3-yaml (>=3.10),
               python-markdown (>=2.3.1),
               python3-markdown (>=2.3.1),
               python-all,
               python3-all, 
               python-flask (>= 0.8),
               python3-flask (>= 0.8),
               python-sphinx
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python-Version3: >= 3.3
Homepage: http://flask-flatpages.readthedocs.org/en/latest/

Package: python-flask-flatpages
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, 
         ${python:Depends},
         python-flask (>= 0.8), 
         python-yaml (>=3.10),
         python-markdown (>=2.3.1)
Description: Provides flat static pages to a Python 2 Flask application
 Flask-FlatPages provides flat static pages to a Flask application, 
 based on text files as opposed to a relational database.
 .
 This is a Python 2 package

Package: python3-flask-flatpages
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, 
         ${python3:Depends},
         python3-flask (>= 0.8), 
         python3-yaml (>=3.10),
         python3-markdown (>=2.3.1),
Description: Provides flat static pages to a Python 3 Flask application
 Flask-FlatPages provides flat static pages to a Flask application, 
 based on text files as opposed to a relational database.
 .
 This is a Python 3 package

Package: python-flask-flatpages-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}  
Description: Provides flat static pages to a Flask application (doc)
 Flask-FlatPages provides flat static pages to a Flask application, 
 based on text files as opposed to a relational database.
 .
 This is the documentation package

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-flatpages
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_clean:
	rm -rf docs/_build
	dh_auto_clean

override_dh_auto_build:
	$(MAKE) -C docs html
	dh_auto_build

## flask-flatpages 0.8.2

=== debian/changelog ===
flask-flatpages (0.8.2-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.8.2
  * Import project on Salsa
  * Switch to DebHelper 13
  * Add python3-pallets-sphinx-themes build dep
  * Add python3-six build-dep
  * Set Rules-Requires-Root: no
  * Apply Multi-Arch hint

 -- Alexandre Detiste <tchet@debian.org>  Tue, 20 Aug 2024 14:45:40 +0200

flask-flatpages (0.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for Python 3.11. (Closes: #1026621)

 -- Adrian Bunk <bunk@debian.org>  Mon, 06 Feb 2023 23:50:07 +0200

flask-flatpages (0.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936525

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Oct 2019 20:12:51 -0400

=== debian/control ===
Source: flask-flatpages
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Orestis Ioannou <orestis@oioannou.com>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-pallets-sphinx-themes,
               python3-six,
               python3-setuptools,
               python3-yaml (>=3.10),
               python3-markdown (>=2.3.1),
               python3-all, 
               python3-flask (>= 0.8),
               python3-sphinx
Rules-Requires-Root: no
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-flatpages
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-flatpages.git
Homepage: http://flask-flatpages.readthedocs.org/en/latest/

Package: python3-flask-flatpages
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, 
         ${python3:Depends},
         python3-flask (>= 0.8), 
         python3-yaml (>=3.10),
         python3-markdown (>=2.3.1),
Description: Provides flat static pages to a Python 3 Flask application
 Flask-FlatPages provides flat static pages to a Flask application, 
 based on text files as opposed to a relational database.

Package: python-flask-flatpages-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}  
Description: Provides flat static pages to a Flask application (doc)
 Flask-FlatPages provides flat static pages to a Flask application, 
 based on text files as opposed to a relational database.
 .
 This is the documentation package

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=flask-flatpages
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 
 override_dh_auto_clean:

## flask-flatpages 0.8.3

=== debian/changelog ===
flask-flatpages (0.8.3-3) unstable; urgency=medium

  * Team upload.
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version to 4.7.2
  * Rebuild to get rid of the generated dependency on python3-tz

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Nov 2025 11:57:52 +0100

flask-flatpages (0.8.3-2) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sun, 12 Jan 2025 21:00:35 +0100

flask-flatpages (0.8.3-1) unstable; urgency=medium

  * Team Upload
  * Update d/watch for new PyPi archive naming policy
  * New upstream version 0.8.3
  * Refresh d/copyright
  * Trim d/rules with modern syntax

 -- Alexandre Detiste <tchet@debian.org>  Mon, 06 Jan 2025 22:05:27 +0100

=== debian/control ===
Source: flask-flatpages
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Orestis Ioannou <orestis@oioannou.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-flask (>= 0.8),
 python3-markdown (>=2.3.1),
 python3-pallets-sphinx-themes,
 python3-setuptools,
 python3-sphinx,
 python3-yaml (>=3.10),
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-flatpages
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-flatpages.git
Homepage: http://flask-flatpages.readthedocs.org/en/latest/

Package: python3-flask-flatpages
Architecture: all
Multi-Arch: foreign
Depends:
 python3-flask (>= 0.8),
 python3-markdown (>=2.3.1),
 python3-yaml (>=3.10),
 ${misc:Depends},
 ${python3:Depends},
Description: Provides flat static pages to a Python 3 Flask application
 Flask-FlatPages provides flat static pages to a Flask application,
 based on text files as opposed to a relational database.

Package: python-flask-flatpages-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Provides flat static pages to a Flask application (doc)
 Flask-FlatPages provides flat static pages to a Flask application,
 based on text files as opposed to a relational database.
 .
 This is the documentation package

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-flatpages

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_clean:
	rm -rf docs/_build

execute_before_dh_auto_build:
	$(MAKE) -C docs html

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/Flask-FlatPages/[Ff]lask[-_][Ff]lat[Pp]ages-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
